# SPDX-License-Identifier: BSD-3-Clause
---
- name: Manage bridge with VLAN
  hosts: network-test
  vars:
    network_connections:
      # Create a bridge profile, which is the parent of VLAN.
      - name: prod2
        state: up
        type: bridge
        interface_name: bridge2
        ip:
          dhcp4: false
          auto6: false

      # set an ethernet port to the bridge
      - name: prod2-port1
        state: up
        type: ethernet
        interface_name: "{{ network_interface_name2 }}"
        controller: prod2
        port_type: bridge

      # on top of it, create a VLAN with ID 100 and static
      # addressing
      - name: prod2.100
        state: up
        type: vlan
        parent: prod2
        vlan_id: 100
        ip:
          address:
            - 192.0.2.{{ network_iphost }}/24

  roles:
    - linux-system-roles.network
